<!doctype html>
<html>
<head>
    <title>Tor Messenger 0.4.0b1 is released | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor Messenger 0.4.0b1 is released | Tor Project">
    <meta property="og:description" content="We are pleased to announce another public beta release of Tor Messenger. This release features...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tor-messenger-040b1-released/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor Messenger 0.4.0b1 is released
      </h1>
    <p class="meta">by sukhbir | March 6, 2017</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>We are pleased to announce another public beta release of Tor Messenger. This release features important improvements to the stability and security of Tor Messenger. All users are encouraged to upgrade.</p>

<p>Tor Messenger 0.3.0b2 users will be automatically prompted to install the update (similar to Tor Browser). On installing and restarting, the update will be applied; your account settings and OTR keys will be preserved.</p>

<h3>Downloads</h3>

<p>Please note that Tor Messenger is <b>still in beta</b>. The purpose of this release is to help test the application and provide feedback. <b><i>At-risk users should not depend on it for their privacy and safety</i></b>.</p>

<p><a href="https://dist.torproject.org/tormessenger/0.4.0b1/tor-messenger-linux32-0.4.0b1_en-US.tar.xz" rel="nofollow">Linux (32-bit)</a></p>

<p><a href="https://dist.torproject.org/tormessenger/0.4.0b1/tor-messenger-linux64-0.4.0b1_en-US.tar.xz" rel="nofollow">Linux (64-bit)</a></p>

<p><a href="https://dist.torproject.org/tormessenger/0.4.0b1/tormessenger-install-0.4.0b1_en-US.exe" rel="nofollow">Windows</a></p>

<p><a href="https://dist.torproject.org/tormessenger/0.4.0b1/TorMessenger-0.4.0b1-osx64_en-US.dmg" rel="nofollow">macOS</a></p>

<p><a href="https://dist.torproject.org/tormessenger/0.4.0b1/sha256sums-signed-build.txt" rel="nofollow">sha256sums-signed-build.txt</a><br />
<a href="https://dist.torproject.org/tormessenger/0.4.0b1/sha256sums-signed-build.txt.asc" rel="nofollow">sha256sums-signed-build.txt.asc</a></p>

<p>The <span class="geshifilter"><code class="php geshifilter-php">sha256sums<span style="color: #339933;">-</span>signed<span style="color: #339933;">-</span>build<span style="color: #339933;">.</span>txt</code></span> file containing hashes of the bundles is signed with the key <span class="geshifilter"><code class="php geshifilter-php"><span style="color: #208080;">0xB01C8B006DA77FAA</span></code></span> (fingerprint: <span class="geshifilter"><code class="php geshifilter-php">E4AC D397 <span style="color: #cc66cc;">5427</span> A5BA <span style="color: #cc66cc;">8450</span> &nbsp;A1BE B01C 8B00 6DA7 7FAA</code></span>). Please verify the fingerprint from the <a href="https://www.torproject.org/docs/signing-keys.html.en" rel="nofollow">signing keys</a> page on Tor Project's website.</p>

<h3>Changelog</h3>

<p>Tor Messenger 0.4.0b1 -- March 06, 2017</p>

<ul>
<li>All Platforms
<ul>
<li> Use the tor-browser-45.7.0esr-6.5-1-build1 tag on tor-browser
   </li>
<li> Use the THUNDERBIRD_45_7_0_RELEASE tag on comm-esr45
   </li>
<li> Update tor-browser to 6.5
   </li>
<li> Update tor-launcher to 0.2.10.3
</li>
</ul>
</li>
<li>Windows
<ul>
<li> Fix automatic generation of complete MAR files
   </li>
<li> <a href="https://bugs.torproject.org/21231" rel="nofollow">Trac 21231</a>: Enable intl-api
</li>
</ul>
</li>
</ul>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/applications">
          applications
        </a>
      </li><li>
        <a href="../category/releases">
          releases
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-240580"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-240580" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 06, 2017</p>
    </div>
    <a href="#comment-240580">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-240580" class="permalink" rel="bookmark">What is the reason to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What is the reason to release this out based on outdated/vulnerable versions of underlying software?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-240670"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-240670" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 06, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-240580" class="permalink" rel="bookmark">What is the reason to</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-240670">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-240670" class="permalink" rel="bookmark">Tor Browser 6.5 is the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor Browser 6.5 is the latest TB version, why do you think that it's "outdated/vulnerable"?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-240672"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-240672" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 06, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-240580" class="permalink" rel="bookmark">What is the reason to</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-240672">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-240672" class="permalink" rel="bookmark">beta versions are for</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>beta versions are for testing , reporting bugs:vulnerabilities ; = unstable.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-240771"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-240771" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arlo
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arlo said:</p>
      <p class="date-time">March 06, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-240580" class="permalink" rel="bookmark">What is the reason to</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-240771">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-240771" class="permalink" rel="bookmark">I&#039;m going to assume you mean</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'm going to assume you mean because there's a 45.8.0 tagged.</p>
<p>This release got delayed several weeks due to some difficulties producing the incremental updates.  Unfortunately, during that debugging period, the current bins were left on dist.tp.o and presumably some users installed them.  See <a href="https://trac.torproject.org/projects/tor/ticket/21633" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/21633</a></p>
<p>We felt it prudent to go through with the release so that those users weren't running unannounced software and to ease the transition to the next version.</p>
<p>There should be another update following shortly.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-240966"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-240966" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 06, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to arlo</p>
    <a href="#comment-240966">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-240966" class="permalink" rel="bookmark">That&#039;s a good answer. What</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>That's a good answer. What about making rbm builds?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-241249"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-241249" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arlo
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arlo said:</p>
      <p class="date-time">March 07, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-240966" class="permalink" rel="bookmark">That&#039;s a good answer. What</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-241249">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-241249" class="permalink" rel="bookmark">You mean w/</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You mean w/ <a href="https://gitweb.torproject.org/builders/rbm.git/" rel="nofollow">https://gitweb.torproject.org/builders/rbm.git/</a></p>
<p>Tor Messenger is already built w/ rbm, and has been since the beginning,<br />
<a href="https://gitweb.torproject.org/tor-messenger-build.git/" rel="nofollow">https://gitweb.torproject.org/tor-messenger-build.git/</a></p>
<p>However, only Linux builds are currently reproducible.  See,<br />
<a href="https://trac.torproject.org/projects/tor/ticket/10942" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/10942</a></p>
<p>That will be fixed once Tor Browser starts using rbm as well, and we benefit from their efforts.  This is tracked in,<br />
<a href="https://trac.torproject.org/projects/tor/ticket/17379" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/17379</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-241558"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-241558" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 08, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to arlo</p>
    <a href="#comment-241558">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-241558" class="permalink" rel="bookmark">I mean
&gt; The</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I mean<br />
&gt; The tor-messenger-build repository only contains the components that are specific to Tor Messenger, and has tor-browser-build as a git submodule</p>
<p>Also what about replacing Thunderbird with something TorBirdy-based (tor-mail)?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-241614"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-241614" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sukhbir
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sukhbir said:</p>
      <p class="date-time">March 08, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-241558" class="permalink" rel="bookmark">I mean
&gt; The</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-241614">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-241614" class="permalink" rel="bookmark">We have discussed doing this</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We have discussed doing this before, but personally (and in my opinion), I am not sure if it's worth the effort unless there is a specific use case. All the TorBirdy settings (for now at least) are applicable to Thunderbird using an extension so for us to invest time in a mail bundle is not completely justifiable, other than the fact that it will make configuration and setup easier. To be clear, this is an open discussion so feedback is welcome. Is there a specific use for a mail bundle you have in mind?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-241900"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-241900" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 08, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to sukhbir</p>
    <a href="#comment-241900">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-241900" class="permalink" rel="bookmark">The situation is simple from</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The situation is simple from the user perspective, but may not be obvious from the developer one. Users want something (solution=complete product) ready to use out-of-the-box (not bundle, extension, etc - that's why we have Tor Browser (not bundle, not torbutton) and from the trusted vendor (TTP, not Mozilla).<br />
That's why I asked you whether you started to make rbm builds based on tor-browser-build, because that should significantly reduce the effort needed to make tor-messenger-build and tor-mail-build.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-241909"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-241909" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sukhbir
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sukhbir said:</p>
      <p class="date-time">March 08, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-241900" class="permalink" rel="bookmark">The situation is simple from</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-241909">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-241909" class="permalink" rel="bookmark">We have tried the &quot;Tor mail</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We have tried the "Tor mail bundle" once and it's still part of the build process for Tor Messenger. (See <a href="https://gitweb.torproject.org/tor-messenger-build.git/tree/Makefile#n10" rel="nofollow">https://gitweb.torproject.org/tor-messenger-build.git/tree/Makefile#n10</a>). It would still work; probably just have to update the version numbers. Perhaps we should give that a beta run and see the feedback we get...</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-241942"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-241942" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 08, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to sukhbir</p>
    <a href="#comment-241942">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-241942" class="permalink" rel="bookmark">Of course, as you use the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Of course, as you use the THUNDERBIRD_45_7_0_RELEASE tag on comm-esr45. So, you could even decide to make tor-messenger-build based on tor-mail-build based on tor-browser-build.<br />
About the feedback: users asked why you hadn't placed a link on the front page (Pluggable Transports and Stem are good candidates for replacement). If you call the apps Tor Messenger Beta and Tor Mail Beta and put them on the main page, then users would be able to see that a broad feedback is needed.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-242043"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-242043" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 09, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-241900" class="permalink" rel="bookmark">The situation is simple from</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-242043">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-242043" class="permalink" rel="bookmark">&gt; that&#039;s why we have Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; that's why we have Tor Browser (not bundle, not torbutton)</p>
<p>Actually, I would argue that that's because at one time there were limitations in what a browser extension could do which didn't meet Torbutton's needs, and changes were taking too long waiting on upstream (Mozilla). That's why Firefox was forked to Tor Browser initially, not for convenience.</p>
<p>Wouldn't it be a lot easier to ship vanilla Thunderbird with TorBirdy than to fork it all together?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-242055"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-242055" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sukhbir
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sukhbir said:</p>
      <p class="date-time">March 09, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-242043" class="permalink" rel="bookmark">&gt; that&#039;s why we have Tor</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-242055">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-242055" class="permalink" rel="bookmark">That&#039;s what we were doing</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>That's what we were doing (and still are, at least in the code): vanilla Thunderbird with TorBirdy and Tor Launcher, packed into a Tor Messenger-like bundle.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-242080"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-242080" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 09, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-242043" class="permalink" rel="bookmark">&gt; that&#039;s why we have Tor</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-242080">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-242080" class="permalink" rel="bookmark">Wouldn&#039;t. Not all changes</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Wouldn't. Not all changes are accepted upstream.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div></div></div></div></div><a id="comment-240668"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-240668" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 06, 2017</p>
    </div>
    <a href="#comment-240668">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-240668" class="permalink" rel="bookmark">Why don&#039;t you put a link of</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why don't you put a link of the Tor Messenger website in the front page of torproject.org (instead of Tor2web for example)?  <a href="https://thetorproject.github.io/tor-messenger-website/" rel="nofollow">https://thetorproject.github.io/tor-messenger-website/</a></p>
<p>It's harder for me to sift through the blog posts to find it and I think more people would like to try it out since it would be easier to find it from the front page.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-240781"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-240781" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arlo
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arlo said:</p>
      <p class="date-time">March 06, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-240668" class="permalink" rel="bookmark">Why don&#039;t you put a link of</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-240781">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-240781" class="permalink" rel="bookmark">It is listed on the projects</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It is listed on the projects page,<br />
<a href="https://www.torproject.org/projects/projects.html.en" rel="nofollow">https://www.torproject.org/projects/projects.html.en</a></p>
<p>However, there's some hesitation on how highly to promote this application while it's still in beta.  We've been trying to find a balance between getting feedback and not putting users at risk.</p>
<p>Although, there's always the argument that users don't heed warnings and that you shouldn't put anything out there that has the potential to be unsafe, which I sympathize with ...</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-240788"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-240788" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 06, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to arlo</p>
    <a href="#comment-240788">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-240788" class="permalink" rel="bookmark">Thanks for your answer! :)</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks for your answer! :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-240899"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-240899" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 06, 2017</p>
    </div>
    <a href="#comment-240899">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-240899" class="permalink" rel="bookmark">I downloaded 0.4.0b1 a while</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I downloaded 0.4.0b1 a while back. Now I'm confused.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-240913"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-240913" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sukhbir
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sukhbir said:</p>
      <p class="date-time">March 06, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-240899" class="permalink" rel="bookmark">I downloaded 0.4.0b1 a while</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-240913">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-240913" class="permalink" rel="bookmark">That&#039;s fine; it&#039;s the same</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>That's fine; it's the same thing but we were fixing an issue with the updater so didn't announce the release on the blog. See <a href="https://trac.torproject.org/projects/tor/ticket/21633" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/21633</a> for more information.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-241063"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-241063" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 07, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to sukhbir</p>
    <a href="#comment-241063">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-241063" class="permalink" rel="bookmark">Thanks, I had same confusion</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks, I had same confusion as the OP.</p>
<p>Please keep up all your good work!  I think TM is very promising, and needed with such desperate urgency by journos, lawyers, doctors, climate researchers, etc. that some are starting to use TM for real applications.  So I guess I am a very high stakes beta tester now :-/  No pressure, hey? :-/</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-241192"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-241192" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 07, 2017</p>
    </div>
    <a href="#comment-241192">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-241192" class="permalink" rel="bookmark">Thanks</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-241196"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-241196" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 07, 2017</p>
    </div>
    <a href="#comment-241196">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-241196" class="permalink" rel="bookmark">Does it still only accept</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Does it still only accept valid XMPP and IRC certs ?  with no option to accept them manually or allow those in the settings. </p>
<p>Thats the only reason I can`t use it. Please fix it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-241248"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-241248" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arlo
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arlo said:</p>
      <p class="date-time">March 07, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-241196" class="permalink" rel="bookmark">Does it still only accept</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-241248">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-241248" class="permalink" rel="bookmark">According to the changelog,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>According to the changelog, that was fixed in 0.3.0b2,<br />
<a href="https://gitweb.torproject.org/tor-messenger-build.git/tree/ChangeLog" rel="nofollow">https://gitweb.torproject.org/tor-messenger-build.git/tree/ChangeLog</a></p>
<p>"Permit storing cert. exceptions in private browsing mode"</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-241282"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-241282" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 07, 2017</p>
    </div>
    <a href="#comment-241282">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-241282" class="permalink" rel="bookmark">Fixed perhaps. But I havn`t</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Fixed perhaps. But I havn`t managed to make it work. </p>
<p>When you ask it to connect, you get the error of invalid domain, no option to accept the cert and verify it manually or information on "alternatives" </p>
<p>They are atm</p>
<p>1: Add a crt file to messengers cert center. </p>
<p>Problem. How do you get a file like that from oftc.net or random-xmpp.com ? When you do get it or creates it. Its still unvalid because the server is xxx.onion, but the ssl cert is from the servers public xmpp server with xxxx.com. </p>
<p>2: Private browsing ? Well browsing... for a fix to my problem, I have not seen such a function or read about it. Generally browsing with a messenger seems a bit strange. </p>
<p>Whats normally done in other messenger programs.</p>
<p>1: Allow invalid certs setting when the server is setup.<br />
2: Similar option when you connect the first time. (No,Once,always)<br />
3: Saving invalid certs until restart, with the option to verify them in a settings panel.<br />
4: Add fingerprints in the messengers cert settings panel. </p>
<p>3,4 are similar to the "permit storing cert" function mentioned in the change log. But tor messenger still requires valid domains cert at connection,  </p>
<p>None of these are provided with tor messenger.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-241318"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-241318" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arlo
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arlo said:</p>
      <p class="date-time">March 07, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-241282" class="permalink" rel="bookmark">Fixed perhaps. But I havn`t</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-241318">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-241318" class="permalink" rel="bookmark">You should be presented with</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You should be presented with the same "Add Exception" options as in Firefox.</p>
<p>Maybe you're running into this bug where the font is hard to read,<br />
<a href="https://trac.torproject.org/projects/tor/ticket/17517" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/17517</a></p>
<p>A screenshot demonstrating it,<br />
<a href="https://trac.torproject.org/projects/tor/attachment/ticket/17517/tor-messenger-add-exception.png" rel="nofollow">https://trac.torproject.org/projects/tor/attachment/ticket/17517/tor-me…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-242308"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-242308" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 09, 2017</p>
    </div>
    <a href="#comment-242308">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-242308" class="permalink" rel="bookmark">Any hints on when we can</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Any hints on when we can expect these?</p>
<p>(i) a security audit of Tor Messenger, maybe by Ioactive?</p>
<p>(ii) out of beta?</p>
<p>(iii) Tor Messenger in Tails?</p>
<p>Keep up the good work!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-242620"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-242620" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arlo
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arlo said:</p>
      <p class="date-time">March 10, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-242308" class="permalink" rel="bookmark">Any hints on when we can</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-242620">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-242620" class="permalink" rel="bookmark">Sorry, no dates we can</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Sorry, no dates we can commit to at present.</p>
<p>(ii) will follow (i), assuming good results.  We've discussed engaging an independent auditor, but no firm plans as of yet.</p>
<p>For (iii), see <a href="https://tails.boum.org/blueprint/replace_Pidgin/" rel="nofollow">https://tails.boum.org/blueprint/replace_Pidgin/</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-243468"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-243468" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 12, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to arlo</p>
    <a href="#comment-243468">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-243468" class="permalink" rel="bookmark">Thanks, arlo, that is</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks, arlo, that is helpful.</p>
<p>Totally agree that a favorable audit should precede passing out of beta.</p>
<p>Strictly speaking the following is OT but very important since (as of midnight+1 13 Mar 2017 UTC) it seems the Tails Project has not yet announced Tails 2.1l (the last 32-bit Tails) using their account in this blog:</p>
<p>Everyone who uses Tails on a 32-bit machine needs to purchase a new computer before Jun 2017 in order to continue using Tails!  See:</p>
<p><a href="https://tails.boum.org/news/Tails_3.0_will_require_a_64-bit_processor/index.en.html" rel="nofollow">https://tails.boum.org/news/Tails_3.0_will_require_a_64-bit_processor/i…</a><br />
Tails 3.0 will require a 64-bit processor</p>
<p>&gt; Tails 3.0 will require a 64-bit x86-64 compatible processor. As opposed to older versions of Tails, it will not work on 32-bit processors.  We have waited for years until we felt it was the right time to do this switch. Still, this was a hard decision for us to make. Today, we want to explain why we eventually made this decision, how it will affect users, and when.</p>
<p>I don't disagree with their decision but obviously a "heads up" is critical for anyone who will need to purchase a new computer in order to continue using Tails.</p>
<p>Also, any information about how Debian 9.0 (stretch) becoming the new stable, presumably before Jun 2013, will affect Debian users who use the onion mirrors to update their system would be much appreciated!  </p>
<p>Thanks for your patience.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-243472"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-243472" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 12, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to arlo</p>
    <a href="#comment-243472">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-243472" class="permalink" rel="bookmark">Gajim sounds unacceptable</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Gajim sounds unacceptable owing to inviting easy MITM.  I hope TM will be ready for Tails soon.  Wish I could help arrange an audit but I can't.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-242533"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-242533" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 10, 2017</p>
    </div>
    <a href="#comment-242533">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-242533" class="permalink" rel="bookmark">More reason to choose an</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>More reason to choose an open source messaging app which has passed a security audit:</p>
<p>Two independent analyses of a commercial messenging app, Confide, are not flattering, The most incendiary implication is that several crippling weaknesses appear to result from willful design decisions.  See</p>
<p><a href="https://arstechnica.com/security/2017/03/unfixed-weaknesses-in-confide-stoke-doubts-about-end-to-end-crypto-claims/" rel="nofollow">https://arstechnica.com/security/2017/03/unfixed-weaknesses-in-confide-…</a><br />
Dear Confide: “We would never” isn’t the same as “we can’t”<br />
Confidential messenger service provides no authentication or integrity assurances.<br />
Dan Goodin<br />
9 Mar 2017</p>
<p>&gt; A pair of damning advisories independently published Wednesday raise serious questions about the security assurances of Confide, a messaging app that's billed as providing "battle tested, military grade" end-to-end encryption and is reportedly being used by individuals inside the US government.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-246280"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-246280" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 17, 2017</p>
    </div>
    <a href="#comment-246280">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-246280" class="permalink" rel="bookmark">Omemo implemented?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Omemo implemented?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-248131"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-248131" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arlo
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arlo said:</p>
      <p class="date-time">March 20, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-246280" class="permalink" rel="bookmark">Omemo implemented?</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-248131">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-248131" class="permalink" rel="bookmark">https://trac.torproject.org/p</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://trac.torproject.org/projects/tor/ticket/17457" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/17457</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-247971"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-247971" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 20, 2017</p>
    </div>
    <a href="#comment-247971">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-247971" class="permalink" rel="bookmark">omemo support coming?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>omemo support coming?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-248132"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-248132" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arlo
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arlo said:</p>
      <p class="date-time">March 20, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-247971" class="permalink" rel="bookmark">omemo support coming?</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-248132">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-248132" class="permalink" rel="bookmark">https://trac.torproject.org/p</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://trac.torproject.org/projects/tor/ticket/17457" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/17457</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-258484"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-258484" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 10, 2017</p>
    </div>
    <a href="#comment-258484">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-258484" class="permalink" rel="bookmark">Hello, I am trying to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hello, I am trying to connect to freenode onion server with Tor Messenger,<br />
so I am following the steps of this entry:<br />
<a href="https://trac.torproject.org/projects/tor/wiki/doc/TorMessenger/SASL" rel="nofollow">https://trac.torproject.org/projects/tor/wiki/doc/TorMessenger/SASL</a><br />
But the last step:<br />
"copy the private key (middle line) to the preference<br />
messenger.account.accountN.ecdsa in the config editor in Tor Messenger"<br />
I can not do it because there is not that entry in my config editor.<br />
Can anyone help me?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-258510"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-258510" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 10, 2017</p>
    </div>
    <a href="#comment-258510">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-258510" class="permalink" rel="bookmark">I could resolve the problem</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I could resolve the problem about .edsa, a nice person help me in<br />
irc,oftc.net #tor-messenger. I had to create the entry myself, in<br />
about:config → new →string → messenger.account.accountN.ecdsa →<br />
an then my key → ########, and it is ready  for connecting.</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
